Bug 146920 - in.authd not listening on IPv6
in.authd not listening on IPv6
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xinetd (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Safranek
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-02 14:00 EST by Brent Nordquist
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version: xinetd-2.3.14-9.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-22 02:46:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brent Nordquist 2005-02-02 14:00:07 EST
Description of problem:
Adding "flags = IPv6" to /etc/xinetd.d/auth does not get in.authd listening on IPv6.

Version-Release number of selected component (if applicable):
Fedora Core 3 x86_64

How reproducible:
Consistently

Steps to Reproduce:
1. Ensure in.authd (authd RPM) is installed/configured/listening to regular IPv4 requests 
("netstat -na" shows a ":113...LISTEN" line).
2. Add "flags = IPv6" to /etc/xinetd.d/auth
3. Reload or restart xinetd ("service xinetd reload" or "... restart")
  
Actual results:
The command "netstat -na" shows the same ":113...LISTEN" line it did before, looking very 
IPv4-ish. "netstat -na --inet6" does not show a ":113...LISTEN" line. "nmap -6 -P0 -p 113 
-sT ::1" shows that port 113/tcp is closed.

Expected results:
Should be like finger: Taking the exact same action with finger (adding "flags = IPv6" to /
etc/xinetd.d/finger and reloading xinetd) gets finger listening for both IPv4 and IPv6 
connections. "netstat -na --inet6" shows a ":79...LISTEN" line. "finger user@::1" works.

Additional info:
This info provided to Adrian Havill who suggested I open a Bugzilla, if I was sure this was 
only a problem with authd and not other IPv6 services... which the above seems to bear 
out.
Comment 1 Eido Inoue 2005-02-02 14:40:21 EST
i had no problem getting authd to work:

[root@gaijin xinetd.d]# ifconfig eth0 | grep inet6
          inet6 addr: fe80::2b0:d0ff:fe3e:cae6/64 Scope:Link
[root@gaijin xinetd.d]# grep -i flags /etc/xinetd.d/auth
        flags = IPv6
[root@gaijin xinetd.d]# service xinetd reload
Reloading configuration:                                          [  OK  ]
[root@gaijin xinetd.d]# grep -i ^auth /etc/services
auth            113/tcp         authentication tap ident
auth            113/udp         authentication tap ident
[root@gaijin xinetd.d]# netstat -na --inet6 | grep 113
tcp        0      0 :::113                      :::*                 
      LISTEN
Comment 2 Eido Inoue 2005-02-02 14:50:01 EST
reopening to re-assign the pkg... in the case that this is
x86_64/xinetd weirdness.
Comment 3 kamakshi 2005-03-18 01:41:17 EST
Hi,
 I am new to xinetd. I have kernel 2.6.8.1 compiled for ipv6. but telnet and 
ftp services do not work. I downloaded xinetd-2.3.13-4.src.rpm and installed. 
In the xinetd-2.3.13 directory i did ./configure --with-inet6 --with-libwrap. 
and did a make && make install. but still ipv6 services are still not enabled. 
please can anyone help me?
Comment 4 Matthew Miller 2006-07-10 16:29:22 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 5 Jan Safranek 2007-05-22 02:46:57 EDT
This bug has bee fixed in xinetd-2.3.14-9.fc6

Note You need to log in before you can comment on or make changes to this bug.